package cn.estsh.i3plus.pojo.mes.model;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.List;

/**
 * @Description : 工位扫描中，按钮组件之间传输的model
 * @Reference :
 * @Author : zcg
 * @Date : 2020/3/23 0023 - 13:14
 */
@Data
@Api("按钮组件传输请求Model")
public class ButtonComponentReqModel {

    @ApiParam("扫描信息")
    private String scanInfo;

    @ApiParam("主队列编号")
    private String orderNo;

    @ApiParam("物料号")
    private String partNo;

    @ApiParam("工厂")
    private String organizeCode;

    @ApiParam("生产线")
    private String workCenterCode;

    @ApiParam("工作单元")
    private String workCellCode;

    @ApiParam("过程条码")
    private String serialNumber;

    @ApiParam("确认码")
    private String confirmNo;

    @ApiParam("组件代码")
    private String moduleCode;

    @ApiParam("界面编号")
    private String windowNo;

    @ApiParam("父界面编号")
    private String parentWindowNo;

    @ApiParam("客户标识号")
    private String custFlagNo;

}
