package cn.estsh.i3plus.pojo.ptl.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author Wynne.Lu
 * @date 2020/2/12 17:41
 * @desc
 */

@Data
@Entity
@DynamicInsert
@DynamicUpdate
@Table(name = "PTL_ACTION_ROUTE")
@EqualsAndHashCode(callSuper = true)
@Api("作业流程")
public class PtlActionRoute extends BaseBean implements Serializable {
    private static final long serialVersionUID = 6246614708550175795L;

    @Column(name = "ROUTE_CODE")
    @ApiParam("流程代码")
    private String routeCode;

    @Column(name = "ROUTE_NAME")
    @ApiParam("流程名称")
    private String routeName;

    @Column(name = "ROUTE_TYPE")
    @ApiParam("流程类型")
    private Integer routeType;
}
